# Release Process #

1. User has cloned the [blessed repository](https://bitbucket.org/uwmadison_doit/rpc-netid-php/) and has write access to it.
2. User has updated the `version` field in `composer.json`. If this does not match the version in the tag name, the release cycle will complete, BUT composer will issue an error when users try to install the dependency.
3. User runs the following command: `php phing.phar release -Dversion=1.2.3 -Dbranch=myBranch`
4. The designated branch is checked out.
5. A tag is created with the name equal to the version number with no extra characters
6. The repository is pushed to origin with all tags. 

The end result is a new tag in the remote repository equal to the version number. Composer clients will now pick up on the new version number.

For instance, if version 1.1.0 was released, a composer client with the following dependency would pick up on the new change:

```json
"require": {
	"uwmadison_doit/rpc-netid-php": "1.*"
}
```